.banners-holder {
  position: relative;
}

.banner {
  position: relative;
  height: 300px;
  width: 100%;
}

.banner__image {
  position: relative;
  width: 100%;
  height: 100%;
}

.banner__image::before {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 50%;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.41) 100%
  );
}

.banner__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner__text {
  position: absolute;
  bottom: 20px;
  left: 20px;
  width: 80%;
  z-index: 3;
}

.banner__text span {
  color: var(--white);
}

.partner-section {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.partner-content h2 {
  margin-bottom: 20px;
}

.partner-image {
  width: 100%;
}

.partner-image img {
  width: 100%;
  height: auto;
  object-fit: contain;
  max-height: 250px;
}

.hidden-swiper-posts {
  display: none;
}

.active-swiper-posts {
  display: block;
}

.references-posts-holder {
  margin-top: 50px;
}

.reference-post-home {
  height: 350px;
}

.references-section {
  overflow: hidden !important;
  padding: 50px 0px;
  background: var(--white);
}

.references-section .swiper {
  overflow: unset !important;
}

@media only screen and (min-width: 992px) {
  .first-banner,
  .second-banner {
    width: 50%;
  }

  .references-section {
    padding: 100px 0px;
  }

  .banner {
    height: 350px;
  }

  .banners-holder {
    display: flex;
  }

  .partner-section {
    flex-direction: row;
    justify-content: space-between;
  }

  .partner-content {
    width: 50%;
  }

  .partner-image {
    width: 40%;
  }
}

@media only screen and (min-width: 1200px) {
  .banner {
    height: 400px;
  }

  .partner-content {
    width: 55%;
  }

  .partner-image {
    width: 35%;
  }
}

@media only screen and (min-width: 1400px) {
  .banner {
    height: 450px;
  }

  .partner-content {
    width: 50%;
  }

  .partner-image {
    width: 30%;
  }

  .banner__text {
    bottom: 30px;
    left: 30px;
  }

  .reference-post-home {
    height: 400px;
  }
}

@media only screen and (min-width: 1600px) {
  .banner {
    height: 500px;
  }

  .reference-post-home {
    height: 450px;
  }
}

@media only screen and (min-width: 1800px) {
  .banner {
    height: 550px;
  }
}
